# $Revision: 1.7 $, $Date: 2007/03/27 09:42:51 $
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Class
%define	pnam	DBI-AbstractSearch
Summary:	Class::DBI::AbstractSearch - Abstract Class::DBI's SQL with SQL::Abstract::Limit
Summary(pl.UTF-8):	Class::DBI::AbstractSearch - abstrakcja SQL Class::DBI z SQL::Abstract::Limit
Name:		perl-Class-DBI-AbstractSearch
Version:	0.07
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d40e7301201135fe0246251097132a54
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	perl(Class::DBI) >= 0.9
BuildRequires:	perl(SQL::Abstract::Limit) >= 0.1
BuildRequires:	perl(Test::More) >= 0.32
%endif
# not autodetected
Requires:	perl-Class-DBI
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class::DBI::AbstractSearch is a Class::DBI plugin to glue
SQL::Abstract::Limit into Class::DBI.

%description -l pl.UTF-8
Class::DBI::AbstractSearch to wtyczka Class::DBI do wklejenia
SQL::Abstract::Limit w Class::DBI.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Class/DBI/AbstractSearch.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-DBI-AbstractSearch.spec,v $
Revision 1.7  2007/03/27 09:42:51  radek
- release 1

Revision 1.6  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.5  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.4  2005/11/02 23:54:35  qboosh
- pl

Revision 1.3  2005/10/30 19:27:25  glen
- beeds perl-Class-DBI

Revision 1.2  2005/10/30 19:06:51  glen
- autodeps bcond

Revision 1.1  2005/10/30 19:01:51  glen
- new
